@charset 'UTF-8';
@font-face {
    font-family: 'android';
    src: url(../fontes/idroid.otf); 
    format('opentype');
    font-weight: normal;
}
.video{
    background-color: var(--cor4);
    padding: 20px;
    margin: 0px -20px 30px -20px;
    position: relative;
    padding-bottom: 58%;
}
.video > iframe{
    position: absolute;
    top: 5%;
    left: 5%;
    width: 90%;
    height: 90%;
}
:root{
    --branco: #ffffff;
    --preto: #000000;
    --cor0: #83e1ad;
    --cor1: #3ddc84;
    --cor2: #2fa866;
    --cor3: #1a5c37;
    --cor4: #063d1e;
    --cor5: #012e0d;

    --fonte-padrao: Arial, Helvetica, sans-serif;
    --fonte-destaque: "Bebas Neue", serif;
    --fonte-android: 'android', cursive; 
}
*{
    margin: 0px;
    padding: 0px;
}
.bebas-neue-regular {
    font-family: "Bebas Neue", serif;
    font-weight: 400;
    font-style: normal;
}  
body{
    background-color: var(--cor0);
    font-family: var(--fonte-padrao);
}
a.externo::after{
    /* content: '\00a0\00a0\1F517'; */
    content: '\00a0🔗';
}
header{
    /* background-color: var(--cor2); */
    background-image: linear-gradient(to bottom, var(--cor1), var(--cor4));
    min-height: 150px;
    text-align: center;
    padding-top: 40px;
}
header > h1{
    color: var(--branco);
    font-family: var(--fonte-destaque);
    margin-bottom: 20px;
    font-size: 3em;
    font-weight: normal;
    text-shadow: 2px 2px 0px rgba(0, 0, 0, 0.5);
}
header > p {
    font-family: var(--fonte-padrao);
    font-size: 1.2em;
    color: var(--branco);
    max-width: 500px;
    margin: auto; margin-bottom: 20px;
    padding-right: 10px;
    padding-left: 10px;
    text-shadow: 2px 2px 0px rgba(0, 0, 0, 0.5);
}
nav{
    background-color: var(--cor4);
    padding: 10px;
    box-shadow: 0px 7px 7px rgba(0, 0, 0, 0.5);
}
nav > a{
    color: #ffffff;
    padding: 10px;
    font-weight: bold;
    text-decoration: none;
}
nav > a:hover{
    background-color: var(--cor3);
    color: var(--cor5);
    border-radius: 5px;
    transition-duration: 0.5s;
}
main{
    background-color: var(--branco);
    min-width: 300px;
    max-width: 1000px;
    margin: auto;
    padding: 20px;
    box-shadow: 0px 0px 30px var(--cor5);
    border-radius: 0px 0px 10px 10px;
}
main p{
    margin: 15px 0px;
    text-align: justify;
    text-indent: 30px;
    line-height: 2em;
    font-size: 1em;
}
main h1{
    color: var(--cor4);
    font-family: var(--fonte-android);
    font-size: 1.8em;
}
main h2{
    font-family: var(--fonte-android);
    color: var(--cor4);
    font-size: 1.5em;
    font-weight: normal;
    background-image: linear-gradient(to right, var(--cor0),transparent);
    text-indent: 8px;
}
main img{
    width: 100%;
}
main img.pequena{
    max-width: 300px;
    display: block;
    margin: auto;
}
main strong{
    color: var(--cor4);
    font-weight: bold;
    /* background-color: var(--cor0);
    padding: 2px 6px; */
}
main a{
    text-decoration: none;
    font-weight: bold;
    color: var(--cor5);
    background-color: var(--cor1);
    padding: 2px 6px;
}
main a:hover{
    text-decoration: underline;
    color: var(--cor3);
    box-shadow: 0px 0px 5px #000;
    /* font-size: 1.2em; */
}
aside{
    background-color: var(--cor0);
    padding: 10px;
    border-radius: 10px;
}
aside > ul{
    list-style-type: '\2714\00a0\00a0';   /*✅✔️❌🔘*/
    list-style-position: inside;
    columns: 2;
}
aside > h3{
    background-color: var(--cor4);
    color: #ffffff;
    padding: 5px;
    margin: -10px -10px 0px -10px;
    border-radius: 10px 10px 0px 0px;
    font-family: var(--fonte-android);
    /* box-shadow: 3px 3px 8px rgba(0, 0, 0, 0.8); */
    /* não gostei dessa sombra */
}
footer{
    background-color: var(--cor4);
    color: var(--branco);
    text-align: center;
    font-size: 0.8em;
    padding: 10px;
}
footer a{
    color: var(--cor1);
    text-decoration: none;
    font-weight: bolder;
}
footer a:hover{
    color: var(--cor2);
    text-decoration: underline;
}